
TYPO3.Flow - Bug # 33311

Status: Resolved Priority: Must have
Author: Kira Backes Category: Security
Created: 2012-01-19 Assigned To: Christian Müller
Updated: 2012-03-01 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: AuthenticationProviderManager::isAuthenticated does not work in authentication request
Description

If the client does not have a session and the client authenticates, then a new session is created. The method isAuthenticated checks
if the current session canBeResumed(), but that method again checks for the session in $_COOKIE. Since the session was just
created, the isAuthenticated method never works in the authentication request. It only starts working in all subsequent requests, since
the new session is then available in $_COOKIE.

Related issues:
duplicates TYPO3.Flow - Bug # 31905: getInterceptedRequest is NULL but ACL ma... Resolved 2011-11-18

Associated revisions
Revision 08b70b82 - 2012-02-29 17:55 - Christian Müller

[BUGFIX] isAuthenticated should work in authentication request

AuthenticationManager::isAuthenticated now checks for resumable
and new sessions before returning FALSE, so it works also in the
request that triggers the authentication.

Change-Id: I97fa566a84123284aa7fa0099a9ad024196ed7b4
Fixes: #33311
Releases: 1.0, 1.1

Revision 27f00f62 - 2012-02-29 18:07 - Christian Müller

[BUGFIX] isAuthenticated should work in authentication request

AuthenticationManager::isAuthenticated now checks for resumable
and new sessions before returning FALSE, so it works also in the
request that triggers the authentication.

Change-Id: I2aa3c54cae2ad45a285e8365f5e2052112a887ea
Fixes: #33311
Releases: 1.0, 1.1

History
#1 - 2012-02-27 19:23 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9260

#2 - 2012-02-27 19:24 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9261

#3 - 2012-02-27 19:29 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9262

#4 - 2012-02-29 08:42 - Christian Müller
- Assigned To set to Christian Müller

#5 - 2012-02-29 17:55 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9260

#6 - 2012-02-29 18:07 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9302

#7 - 2012-03-01 02:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:27f00f62768c2b322e87d815e5bef9f5bd2bb2ea.
